Bug 137173 - nmbd crashes with bouth 'wins support' and 'wins proxy' set
Summary: nmbd crashes with bouth 'wins support' and 'wins proxy' set
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: samba   
(Show other bugs)
Version: rawhide
Hardware: i686
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-26 14:42 UTC by Doncho Gunchev
Modified: 2014-08-31 23:26 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-15 19:11:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Doncho Gunchev 2004-10-26 14:42:34 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041020
Firefox/0.10.1

Description of problem:


Version-Release number of selected component (if applicable):
samba-3.0.8-0.pre1.3

How reproducible:
Always

Steps to Reproduce:
1. install samba
2. edit smb.conf and set 'wins support = yes' and 'wins proxy = yes'
3. service smb start; tail -f /var/log/samba/nmbd.log
    

Actual Results:  [2004/10/26 13:26:41, 0]
nmbd/nmbd_become_dmb.c:become_domain_master_browser_bcast(295)
  become_domain_master_browser_bcast: querying subnet xxx.xxx.xxx.254
for domain master browser on wo

[2004/10/26 13:26:44, 0] lib/fault.c:fault_report(36)
  ===============================================================
[2004/10/26 13:26:44, 0] lib/fault.c:fault_report(37)
  INTERNAL ERROR: Signal 11 in pid 14085 (3.0.8pre1-0.pre1.3)
  Please read the appendix Bugs of the Samba HOWTO collection
[2004/10/26 13:26:44, 0] lib/fault.c:fault_report(39)
  ===============================================================
[2004/10/26 13:26:44, 0] lib/util.c:smb_panic2(1403)
  PANIC: internal error
[2004/10/26 13:26:44, 0] lib/util.c:smb_panic2(1411)
  BACKTRACE: 8 stack frames:
   #0 nmbd(smb_panic2+0x8a) [0xf6fbb390]

* note: xxx.xxx.xxx.254 was a numeric IP

Expected Results:  A error/warning message that setting bouth these
parameters is wrong or a working nmbd.

Additional info:

The 'wins proxy' parameter should be used with 'wins server', but not
with 'wins support', shouldn't it? Testparam says everything is ok.
samba-3.0.7-2.FC2's nmbd does not crash in this situation.


Note You need to log in before you can comment on or make changes to this bug.